X
Tap here to go to the mobile version of the site.
Your Firefox is out of date and may contain a security risk! Upgrade Firefox

Support Forum

Why wont Youtube videos load when using Firefox 3.6.3?

Posted

I've been having issues with youtube when using firefox, the video doesnt load or show up for that matter its just a black screen where the video should be and on the bottom left hand corner of Mozzilla it says "done" I've tried everything, I updated java and flash but nothing seems to work. What can I do? I know I can use other web browsers but I really want to fix this

URL of affected sites

www.youtube.com

Additional System Details

Installed Plug-ins

  • -Shockwave Flash 10.0 r45
  • getplusplusadobe16263
  • Office Plugin for Netscape Navigator
  • np-mswmp
  • 1.9.0009.1
  • Hotbar Firefox Plugin
  • Default Plug-in
  • Adobe PDF Plug-In For Firefox and Netscape "9.3.2"
  • The QuickTime Plugin allows you to view a wide variety of multimedia content in Web pages. For more information, visit the QuickTime Web site.
  • NPRuntime Script Plug-in Library for Java(TM) Deploy
  • iTunes Detector Plug-in
  • NPWLPG
  • Next Generation Java Plug-in 1.6.0_20 for Mozilla browsers

Application

  • User Agent: Mozilla/5.0 (Windows; U; Windows NT 6.1; en-US; rv:1.9.2.3) Gecko/20100401 Firefox/3.6.3 ( .NET CLR 3.5.30729)

More Information

Name
Firefox
Version
3.6.3
Profile Directory
Open Containing Folder
Installed Plugins
about:plugins
Build Configuration
about:buildconfig
Extensions
Name
Version
Enabled
ID
AVG Safe Search 8.5.0.429 true {3f963a5b-e555-4543-90e2-c3908898db71}
Microsoft .NET Framework Assistant 1.2.1 true {20a82645-c095-46ed-80e3-08825760534b}
Skype extension for Firefox 3.3.0.3971 true
StumbleUpon 3.64 true
Java Console 6.0.20 true
Adobe DLM (powered by getPlus(R)) 1.6.2.63 true

zzxc 22 solutions 242 answers

There are a few reasons why youtube might be broken:

If none of this works, let me know if Flash video from other sites work. Here are a few you can try:

Question owner

I have the same problem and found a solution.

the flash plugin 10.0 r45 is not compatible with firefox 3.6.3, change the flash plugin to 10.1 r53 would resolve this issue. Firefox_Flash_Plugin_10.1_r53.7z

Question owner

how do u change the flash plugin? i downloaded it and i dont know where to put that file